/*
 *  ColorDialog.cpp
 *  
 *
 *  Created by Yohanes Nugroho on 05/04/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "ColorDialog.h"
#include "ColorChooser.h"
#include <coemain.h>
#include <eiksbfrm.h>
#include <aknenv.h>
#include <coemain.h>                                                            
#include <barsread.h>                                                           
#include <eiksbfrm.h>
#include "S60Bible.hrh"
#include "log.h"

CColorDialog::CColorDialog(TRgb *aCurrent): iColor(aCurrent)
{

}

SEikControlInfo CColorDialog::CreateCustomControlL(TInt aControlType)
    {
	iColorChooser = NULL;
    if(aControlType == ES60BibleColorChooserDialog)
        {
		iColorChooser = new (ELeave) CColorChooser(*iColor);
	SEikControlInfo info = {iColorChooser,0,0};                            
        return info;
        }
    else { 
			return CEikDialog::CreateCustomControlL(aControlType);
		}
    }


void CColorDialog::PreLayoutDynInitL()
{
	Log(_L("Prelayout"));

 }

TBool CColorDialog::OkToExitL(TInt /*aButtonId*/)
{
	*iColor = iColorChooser->GetCurrentColor();
	return ETrue;
}


TKeyResponse CColorDialog::OfferKeyEventL(const TKeyEvent& aKeyEvent,TEventCode aType)
{
	if (aType ==  EEventKey && aKeyEvent.iScanCode == EStdKeyDevice3) {
		iColorChooser->DoSetRGB();
		return EKeyWasConsumed;
	}
	return CEikDialog::OfferKeyEventL(aKeyEvent, aType);
}

