#ifndef __KEYBINDINGVIEW_H__
#define __KEYBINDINGVIEW_H__

#include <aknview.h>
#include <aknappui.h> 
#include <aknviewappui.h> 

class CKeyBindingList;
class CS60BibleDocument;
class CKeyBindingView : public CAknView
    {
public:

	static CKeyBindingView* NewL(const TRect& aRect,  CS60BibleDocument* aDocument);
	static CKeyBindingView* NewLC(const TRect& aRect,  CS60BibleDocument* aDocument);
	void DoActivateL(const TVwsViewId& aPrevViewId,
				TUid aCustomMessageId,
				const TDesC8& aCustomMessage);
	void DoDeactivate();
	TUid Id() const;
	void HandleCommandL(TInt aCommand);
	void SaveSettings();
	void SizeChanged();
private:
	CKeyBindingView();
	void LoadSettings();
	void ConstructL(const TRect& aRect, CS60BibleDocument* aDocument);
	CKeyBindingList* iSettingList;
	CS60BibleDocument* iDocument;
	TVwsViewId iPrevView;
};

#endif
