#ifndef __BIBLESETTINGLISTVIEW_H__
#define __BIBLESETTINGLISTVIEW_H__

#include <aknview.h>
#include <aknappui.h> 
#include <aknviewappui.h> 

class CBibleSettingList;
class CS60BibleDocument;
class CBibleSettingListView : public CAknView
    {
public:

	static CBibleSettingListView* NewL(const TRect& aRect,  CS60BibleDocument* aDocument);
	static CBibleSettingListView* NewLC(const TRect& aRect,  CS60BibleDocument* aDocument);
	void DoActivateL(const TVwsViewId& aPrevViewId,
				TUid aCustomMessageId,
				const TDesC8& aCustomMessage);
	void DoDeactivate();
	TUid Id() const;
	void HandleCommandL(TInt aCommand);
	void SizeChanged();

private:
	CBibleSettingListView();
	void LoadSettings();
	void ConstructL(const TRect& aRect, CS60BibleDocument* aDocument);
	CBibleSettingList* iSettingList;
	CS60BibleDocument* iDocument;
	TVwsViewId iPrevView;
};


#endif
